Bug 813997 - Missing Dependency: perl-XML-Path
Missing Dependency: perl-XML-Path
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: zanata-util (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 20:53 EDT by Ding-Yi Chen
Modified: 2012-05-22 11:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: zanata-util-0.2.7-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:15:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-04-18 20:53:50 EDT
Description of problem:
When running zanata_zanata_xml_make in el6, following error pop up
cannot use XML::Twig::XPath: neither XML::XPathEngine 0.09+ nor XML::XPath are available at /usr/share/perl5/XML/Twig/XPath.pm line 11.
BEGIN failed--compilation aborted at /usr/share/perl5/XML/Twig/XPath.pm line 13.
Compilation failed in require at /usr/bin/zanata_zanata_xml_make line 157.
BEGIN failed--compilation aborted at /usr/bin/zanata_zanata_xml_make line 157.


Version-Release number of selected component (if applicable):
0.2.3-1

How reproducible:
Always

Steps to Reproduce:
1.zanata_zanata_xml_make --projectType podir http://zanataServerURL/ Weld 1.1

  
Actual results:
Return following error
cannot use XML::Twig::XPath: neither XML::XPathEngine 0.09+ nor XML::XPath are available at /usr/share/perl5/XML/Twig/XPath.pm line 11.
BEGIN failed--compilation aborted at /usr/share/perl5/XML/Twig/XPath.pm line 13.
Compilation failed in require at /usr/bin/zanata_zanata_xml_make line 157.
BEGIN failed--compilation aborted at /usr/bin/zanata_zanata_xml_make line 157.

Expected results:
No error shown

Additional info:
Comment 1 Fedora Update System 2012-04-20 02:39:48 EDT
zanata-util-0.2.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.el5
Comment 2 Fedora Update System 2012-04-20 02:40:27 EDT
zanata-util-0.2.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.fc16
Comment 3 Fedora Update System 2012-04-20 02:40:45 EDT
zanata-util-0.2.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.fc17
Comment 4 Fedora Update System 2012-04-20 02:41:02 EDT
zanata-util-0.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.el6
Comment 5 Fedora Update System 2012-04-21 16:59:33 EDT
Package zanata-util-0.2.6-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zanata-util-0.2.6-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5626/zanata-util-0.2.6-1.el5
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-26 20:27:13 EDT
zanata-util-0.2.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.fc16
Comment 7 Fedora Update System 2012-04-26 20:27:32 EDT
zanata-util-0.2.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.el6
Comment 8 Fedora Update System 2012-04-26 20:27:50 EDT
zanata-util-0.2.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.fc17
Comment 9 Fedora Update System 2012-04-26 20:28:08 EDT
zanata-util-0.2.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.el5
Comment 10 Fedora Update System 2012-05-08 00:15:34 EDT
zanata-util-0.2.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-05-10 10:18:43 EDT
zanata-util-0.2.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-05-22 11:29:50 EDT
zanata-util-0.2.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-05-22 11:31:41 EDT
zanata-util-0.2.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.